net.minecraft.item

## Class ItemShears

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemShears

-     public class ItemShears
      extends Item

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `appleGold, appleRed, arrow, axeDiamond, axeGold, axeIron, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsIron, bootsLeather, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, comparator, compass, cookie, diamond, doorIron, doorWood, dyePowder, egg, emerald, emptyMap, enchantedBook, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, fireballCharge, firework, fireworkCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, glowstone, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetIron, helmetLeather, hoeDiamond, hoeGold, hoeIron, hoeStone, hoeWood, horseArmorDiamond, horseArmorGold, horseArmorIron, ingotGold, ingotIron, itemFrame, itemID, itemsList, leash, leather, legsChain, legsDiamond, legsGold, legsIron, legsLeather, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartHopper, minecartPowered, minecartTnt, monsterPlacer, nameTag, netherQuartz, netherrackBrick, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeIron, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateIron, plateLeather, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shovelDiamond, shovelGold, shovelIron, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordIron, swordStone, swordWood, wheat, writableBook, writtenBook`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemShears(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHarvestBlock(Block par1Block)` Returns if the item (tool) can harvest results from the block type.
    `float` | `getStrVsBlock(ItemStack par1ItemStack, Block par2Block)` Returns the strength of the stack against a given block.
    `boolean` | `itemInteractionForEntity(ItemStack itemstack, EntityPlayer player, EntityLivingBase entity)` Returns true if the item can be used on the given entity, e.g.
    `boolean` | `onBlockDestroyed(ItemStack par1ItemStack, World par2World, int par3, int par4, int par5, int par6, EntityLivingBase par7EntityLivingBase)`
    `boolean` | `onBlockStartBreak(ItemStack itemstack, int x, int y, int z, EntityPlayer player)` Called before a block is broken.

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, getArmorModel, getArmorTexture, getArmorTexture, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamage, getDamageVsEntity, getDisplayDamage, getEntityLifespan, getFontRenderer, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIsRepairable, getItemAttributeModifiers, getItemDisplayName, getItemEnchantability, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getStatName, getStrVsBlock, getSubItems, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isPotionIngredient, isRepairable, isValidArmor, onArmorTickUpdate, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, registerIcons, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemShears

          public ItemShears(int par1)

  - ### Method Detail

    - #### onBlockDestroyed

          public boolean onBlockDestroyed(ItemStack par1ItemStack,
                                 World par2World,
                                 int par3,
                                 int par4,
                                 int par5,
                                 int par6,
                                 EntityLivingBase par7EntityLivingBase)

      Overrides:
        `onBlockDestroyed` in class `Item`

    - #### canHarvestBlock

          public boolean canHarvestBlock(Block par1Block)

      Returns if the item (tool) can harvest results from the block type.
      Overrides:
        `canHarvestBlock` in class `Item`

    - #### getStrVsBlock

          public float getStrVsBlock(ItemStack par1ItemStack,
                            Block par2Block)

      Returns the strength of the stack against a given block. 1.0F base, (Quality+1)*2 if correct blocktype, 1.5F if sword
      Overrides:
        `getStrVsBlock` in class `Item`

    - #### itemInteractionForEntity

          public boolean itemInteractionForEntity(ItemStack itemstack,
                                         EntityPlayer player,
                                         EntityLivingBase entity)

      Description copied from class: `Item`
      Returns true if the item can be used on the given entity, e.g. shears on sheep.
      Overrides:
        `itemInteractionForEntity` in class `Item`

    - #### onBlockStartBreak

          public boolean onBlockStartBreak(ItemStack itemstack,
                                  int x,
                                  int y,
                                  int z,
                                  EntityPlayer player)

      Description copied from class: `Item`
      Called before a block is broken. Return true to prevent default block harvesting. Note: In SMP, this is called on both client and server sides!
      Overrides:
        `onBlockStartBreak` in class `Item`
      Parameters:
        `itemstack` - The current ItemStack
        `x` - The X Position
        `y` - The X Position
        `z` - The X Position
        `player` - The Player that is wielding the item
      Returns:
        True to prevent harvesting, false to continue as normal